Name:           w3af
Version:        1.1
Release:        %mkrel 1
Summary:        Web Application Attack and Audit Framework
Group:          Monitoring
License:        GPLv2
URL:            http://w3af.sourceforge.net/
Source0:        http://sourceforge.net/projects/w3af/files/w3af/w3af%201.0-stable/w3af-%{version}.tar.bz2
Patch0:		w3af-1.0-system-netcat.patch
Requires:       python-pysvn
Requires:       python-nltk
Requires:       python-soap
Requires:       python-lxml
Requires:       scapy
Requires:	netcat
# for wordnet plugin
Requires:       python-numpy
BuildArch:		noarch

%description
w3af is a Web Application Attack and Audit Framework. The project's goal is to
create a framework to find and exploit web application vulnerabilities that is
easy to use and extend. To read our short and long term objectives, please
click over the Project Objectives item in the main menu. This project is
currently hosted at SourceForge , for further information, you may also want to
visit w3af SourceForge project page.

%package gui
Summary:    GUI for %{name}
Group:      Monitoring
License:    GPLv2
Requires:   %{name} = %{version}-%{release}
Requires:   python-gtksourceview
Requires:   python-webkitgtk
Requires:   graphviz

%description gui
This is a gui for %{name}.

%prep
%setup -q -n w3af
%patch0 -p 0
find . -name .svn | xargs rm -rf
rm -f plugins/attack/payloads/code/netcat

perl -pi -e 's|#!/usr/bin/python2|#!%{_bindir}/python|' \
    extlib/SOAPpy/tests/*.py

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_datadir}/%{name}
install -m 755 w3af_console %{buildroot}%{_datadir}/%{name}
install -m 755 w3af_gui %{buildroot}%{_datadir}/%{name}
cp -pr core %{buildroot}%{_datadir}/%{name}
cp -pr extlib %{buildroot}%{_datadir}/%{name}
cp -pr locales %{buildroot}%{_datadir}/%{name}
cp -pr plugins %{buildroot}%{_datadir}/%{name}
cp -pr profiles %{buildroot}%{_datadir}/%{name}
cp -pr scripts %{buildroot}%{_datadir}/%{name}
cp -pr tools %{buildroot}%{_datadir}/%{name}

install -d -m 755 %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/w3af_console <<EOF
#!/bin/sh
%{_datadir}/%{name}/w3af_console $@
EOF
chmod +x %{buildroot}%{_bindir}/w3af_console

cat > %{buildroot}%{_bindir}/w3af_gui <<EOF
#!/bin/sh
%{_datadir}/%{name}/w3af_gui $@
EOF
chmod +x %{buildroot}%{_bindir}/w3af_gui

%files
%doc readme/*
%{_datadir}/%{name}
%{_bindir}/w3af_console

%files gui
%{_bindir}/w3af_gui



%changelog

* Fri Jan 20 2012 guillomovitch <guillomovitch> 1.1-1.mga2
+ Revision: 198792
- new version
- fix wrappers to pass arguments
- apply patch0
- patch1: fix for upstream bug #166482 (fatal error in fingerprint_os)
- fix gui dependency name
- fix gui package dependencies
- set executable bit on gui wrapper
- fix dependencies

  + fwang <fwang>
    - use system netcat

* Wed Jul 20 2011 guillomovitch <guillomovitch> 1.0-2.mga2
+ Revision: 127482
- fix dependencies

* Wed Jul 20 2011 guillomovitch <guillomovitch> 1.0-1.mga2
+ Revision: 127323
- imported package w3af


* Thu Jul 07 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-1mdv2011
+ Revision: 689135
- import w3af

